"""capabilities-init

Revision ID: 57c38b5f012e
Revises: 44d5bbbf2615
Create Date: 2020-10-07 23:01:25.765027

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '57c38b5f012e'
down_revision = '44d5bbbf2615'
branch_labels = None
depends_on = None


def upgrade():
    op.create_table('capabilities',
                    sa.Column('capability_id', sa.Integer, primary_key=True),
                    sa.Column('capability_name', sa.String),
                    sa.Column('capability_steps', sa.String),
                    sa.Column('max_jobs', sa.Integer))

    op.create_table('capability_requests',
                    sa.Column('request_id', sa.Integer, primary_key=True),
                    sa.Column('state', sa.String),
                    sa.Column('capability', sa.Integer, sa.ForeignKey('capabilities.capability_id')),
                    sa.Column('parameters', sa.String))

    op.execute("INSERT INTO capabilities (capability_name, capability_steps, max_jobs) "
               "VALUES ('null', 'PREPARE AND EXECUTE WORKFLOW null\nAWAIT WORKFLOW', 2)")

def downgrade():
    op.drop_table('capability_requests')
    op.drop_table('capabilities')
